<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <HorizontalScrollView
        android:id="@+id/headerScroll"
        android:layout_width="match_parent"
        android:layout_height="35dp"
        android:background="@color/white"
        tools:ignore="ScrollViewCount">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="3dp"
            android:background="@color/material_bluegrey800"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="150dp"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_margin="5dp"
                    android:gravity="center"
                    android:text="Training ID"
                    android:textColor="@color/white"
                    android:textSize="16sp" />


            </LinearLayout>

            <View
                android:layout_width="1dp"
                android:layout_height="wrap_content"
                android:background="@color/white" />

            <LinearLayout
                android:layout_width="150dp"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_margin="5dp"
                    android:gravity="center"
                    android:text="Training Title"
                    android:textColor="@color/white"
                    android:textSize="16sp" />


            </LinearLayout>

            <View
                android:layout_width="1dp"
                android:layout_height="wrap_content"
                android:background="@color/white" />

            <LinearLayout
                android:layout_width="150dp"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_margin="5dp"
                    android:gravity="center"
                    android:text="Training Dates"
                    android:textColor="@color/white"
                    android:textSize="16sp" />


            </LinearLayout>

            <View
                android:layout_width="1dp"
                android:layout_height="wrap_content"
                android:background="@color/white" />

            <LinearLayout
                android:layout_width="150dp"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_margin="5dp"
                    android:gravity="center"
                    android:text="Total Participants"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>

            <View
                android:layout_width="1dp"
                android:layout_height="wrap_content"
                android:background="@color/white" />

            <LinearLayout
                android:layout_width="150dp"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_margin="5dp"
                    android:gravity="center"
                    android:text="Training Feedback"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>

            <View
                android:layout_width="1dp"
                android:layout_height="wrap_content"
                android:background="@color/white" />

            <LinearLayout
                android:layout_width="150dp"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_margin="5dp"
                    android:gravity="center"
                    android:text="Trainer Feedback"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>

            <View
                android:layout_width="1dp"
                android:layout_height="wrap_content"
                android:background="@color/white" />

            <LinearLayout
                android:id="@+id/lloutRolePlay"
                android:layout_width="150dp"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_margin="5dp"
                    android:gravity="center"
                    android:text="Overall Feedback"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>

            <View
                android:layout_width="1dp"
                android:layout_height="wrap_content"
                android:background="@color/white" />

            <LinearLayout
                android:id="@+id/lloutAssignment"
                android:layout_width="150dp"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_margin="5dp"
                    android:gravity="center"
                    android:text="Action"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>

            <View
                android:layout_width="1dp"
                android:layout_height="wrap_content"
                android:background="@color/white" />

        </LinearLayout>
    </HorizontalScrollView>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rcvDynamicView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginBottom="5dp"
        android:layout_weight="1"
        android:visibility="visible" />

    <TextView
        android:id="@+id/txtNoDataFound"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center"
        android:layout_marginBottom="5dp"
        android:gravity="center"
        android:text="No Data Found"
        android:textColor="@color/material_bluegrey800"
        android:textSize="18sp"
        android:visibility="gone" />

</LinearLayout>